com.ihr.xbrl.om.exLinks

## Interface XBRLRelationshipPoint

- All Known Implementing Classes:
    AutoFill, CalculationLinkbase, DefinitionLinkbase, FlMessage, FootnoteLinkbase, FormulaLinkbase, GenericLinkbase, LabelLinkbase, MapperContext2, MapperContext3, MapperContextBase, MapperPeriod2, MapperPeriod3, MapperPeriodBase, OtherLinkbase, PresentationLinkbase, ReferenceLinkbase, RenderHints, StaticRole, VersionLinkbase, XBRLAncestorFilter, XBRLAndFilter, XBRLArc, XBRLArcroleRef, XBRLArcroleType, XBRLAspectCoverFilter, XBRLAspectNode, XBRLAssertion, XBRLAttribute, XBRLBreakdown, XBRLClosedDefinitionNode, XBRLConceptBalanceFilter, XBRLConceptCustomAttributeFilter, XBRLConceptDataTypeFilter, XBRLConceptFilterAbstract, XBRLConceptNameFilter, XBRLConceptPeriodTypeFilter, XBRLConceptRelationFilter, XBRLConceptRelationshipNode, XBRLConceptSubstitutionGroupFilter, XBRLConsistencyAssertion, XBRLContext, XBRLCustomFunction, XBRLCustomFunctionImplementation, XBRLDefinitionNode, XBRLDimensionFilterAbstract, XBRLDimensionRelationshipNode, XBRLDimensionsContainer, XBRLDocument, XBRLDocumentation, XBRLEntity, XBRLExistenceAssertion, XBRLExplicitDimensionFilter, XBRLExtendedLink, XBRLFact, XBRLFactItem, XBRLFactNonNumeric, XBRLFactNumeric, XBRLFactTuple, XBRLFormula, XBRLFormulaFilterBase, XBRLFormulaResource, XBRLGeneralFilter, XBRLGeneralMeasuresFilter, XBRLIdentifierFilter, XBRLImport, XBRLInclude, XBRLInstance, XBRLItem, XBRLLabelResource, XBRLLinkbase, XBRLLinkbaseRef, XBRLLocationFilter, XBRLLocator, XBRLMatchAbstractFilter, XBRLMatchConceptFilter, XBRLMatchDimensionFilter, XBRLMatchEntityIdentifierFilter, XBRLMatchLocationFilter, XBRLMatchNonXDTScenarioFilter, XBRLMatchNonXDTSegmentFilter, XBRLMatchPeriodFilter, XBRLMatchScenarioFilter, XBRLMatchSegmentFilter, XBRLMatchUnitFilter, XBRLMeasure, XBRLOpenDefinitionNode, XBRLOrFilter, XBRLParentFilter, XBRLPeriod, XBRLPeriodEndFilter, XBRLPeriodFilter, XBRLPeriodFilterAbstract, XBRLPeriodForeverFilter, XBRLPeriodInstantDurationFilter, XBRLPeriodInstantFilter, XBRLPeriodStartFilter, XBRLPointerOfARelationship, XBRLRegExpIdentifierFilter, XBRLRegExpSchemeFilter, XBRLRelationship, XBRLRelationshipNode, XBRLRelativeFilter, XBRLResource, XBRLResultMessage, XBRLRoleAndArcroleTypes, XBRLRoleRef, XBRLRoleType, XBRLRuleNode, XBRLScenario, XBRLScenarioFilter, XBRLSegment, XBRLSegmentFilter, XBRLSiblingFilter, XBRLSimpleLink, XBRLSingleMeasureFilter, XBRLSpecificIdentifierFilter, XBRLSpecificSchemeFilter, XBRLTable, XBRLTableResource, XBRLTaxonomy, XBRLTuple, XBRLTypedDimensionFilter, XBRLUnit, XBRLUsedOn, XBRLValueAssertion, XBRLValueNilFilter, XBRLValuePrecisionFilter, XBRLVariableEqualityDefinition, XBRLVariableFact, XBRLVariableGeneral, XBRLVariableParameter, XBRLVariablePrecondition, XBRLVariableResource, XBRLVariableSetResource, XLinkElement, XMLDocumentURI, XMLElementDefinition, XMLFragment

      public interface XBRLRelationshipPoint

  Elements that are extreme of a relationship in the source or target pointer MUST implement this interface .
  Author:
    Ignacio

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFromRelationship(XBRLRelationship rel)` Adds the from relationship.
    `void` | `addToRelationship(XBRLRelationship rel)` Adds the to relationship.
    `java.util.Iterator<XBRLRelationship>` | `getFromRelationships(XBRLArcroleType arcrole, DTSBase base)` Gets the from relationships.
    `java.util.Iterator<XBRLRelationship>` | `getToRelationships(XBRLArcroleType arcrole, DTSBase base)` Gets the to relationships.
    `void` | `removeFromRelationship(XBRLRelationship rel)` Removes the from relationship.
    `void` | `removeToRelationship(XBRLRelationship rel)` Removes the to relationship.

- - ### Method Detail

    - #### addFromRelationship

          void addFromRelationship(XBRLRelationship rel)
                                   throws XBRLInconsistentDTSException

      Adds the from relationship.
      Parameters:
        `rel` - the rel
      Throws:
        `XBRLInconsistentDTSException` - the XBRL inconsistent dts exception

    - #### addToRelationship

          void addToRelationship(XBRLRelationship rel)
                                 throws XBRLInconsistentDTSException

      Adds the to relationship.
      Parameters:
        `rel` - the rel
      Throws:
        `XBRLInconsistentDTSException` - the XBRL inconsistent dts exception

    - #### getFromRelationships

          java.util.Iterator<XBRLRelationship> getFromRelationships(XBRLArcroleType arcrole,
                                                                  DTSBase base)
                                                                    throws XBRLValidationException

      Gets the from relationships.
      Parameters:
        `arcrole` - the arcrole
        `base` - the base
      Returns:
        the from relationships
      Throws:
        `XBRLValidationException` - the XBRL validation exception

    - #### getToRelationships

          java.util.Iterator<XBRLRelationship> getToRelationships(XBRLArcroleType arcrole,
                                                                DTSBase base)
                                                                  throws XBRLValidationException

      Gets the to relationships.
      Parameters:
        `arcrole` - the arcrole
        `base` - the base
      Returns:
        the to relationships
      Throws:
        `XBRLValidationException` - the XBRL validation exception

    - #### removeFromRelationship

          void removeFromRelationship(XBRLRelationship rel)
                                      throws XBRLInconsistentDTSException

      Removes the from relationship.
      Parameters:
        `rel` - the rel
      Throws:
        `XBRLInconsistentDTSException` - the XBRL inconsistent dts exception

    - #### removeToRelationship

          void removeToRelationship(XBRLRelationship rel)
                                    throws XBRLInconsistentDTSException

      Removes the to relationship.
      Parameters:
        `rel` - the rel
      Throws:
        `XBRLInconsistentDTSException` - the XBRL inconsistent dts exception